org.modeshape.jcr.cache.change

## Class NodeSequencingFailure

- java.lang.Object
- - org.modeshape.jcr.cache.change.Change
  - - org.modeshape.jcr.cache.change.AbstractNodeChange
    - - org.modeshape.jcr.cache.change.AbstractSequencingChange
      - - org.modeshape.jcr.cache.change.NodeSequencingFailure

- All Implemented Interfaces:
    Serializable

      public class NodeSequencingFailure
      extends AbstractSequencingChange

  Change which is triggered if the sequencing of a node fails
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeSequencingFailure(NodeKey sequencedNodeKey, Path sequencedNodePath, Name sequencedNodePrimaryType, Set<Name> sequencedNodeMixinTypes, String outputPath, String userId, String selectedPath, String sequencerName, boolean queryable, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Get the cause of the failure.
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractSequencingChange

      `getOutputPath, getSelectedPath, getSequencerName, getUserId`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange

      `getKey, getMixinTypes, getPath, getPrimaryType, isQueryable, isType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeSequencingFailure

          public NodeSequencingFailure(NodeKey sequencedNodeKey,
                               Path sequencedNodePath,
                               Name sequencedNodePrimaryType,
                               Set<Name> sequencedNodeMixinTypes,
                               String outputPath,
                               String userId,
                               String selectedPath,
                               String sequencerName,
                               boolean queryable,
                               Throwable cause)

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Get the cause of the failure.
      Returns:
        the exception; never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.